Docs
APIReferênciaPedidos

Ver pedido

Devolve o pedido com itens, pagamentos, reembolsos e entregas.

Permissão da chave: Pedidos › ler.

Autenticação

bearer
headerAuthorizationBearer <chave de API>

Chave de API da loja (Painel › Integrações › Chaves de API)

id*string

Corpo da resposta

application/json
Exemplo de requisição
curl -X GET "https://api.rivoo.gg/v1/orders/ord_mhexample0000vip0000001" \  -H "Authorization: Bearer $RIVOO_API_KEY"
Exemplo de resposta
{  "id": "ord_mhexample0000vip0000001",  "source": "API",  "status": "PAID",  "customerId": "cus_mhexample0000steve00001",  "externalId": "pedido_123",  "recipient": {    "kind": "MINECRAFT",    "ref": "Steve",    "name": "Steve"  },  "items": [    {      "id": "oitem_mhexample0000vip00001",      "productId": "prod_mhexample0000vip00001",      "priceId": "price_mhexample0000vip0001",      "name": "VIP+ 30 dias",      "quantity": 1,      "unitAmount": {        "amount": 2990,        "currency": "BRL"      },      "total": {        "amount": 2990,        "currency": "BRL"      },      "adjustments": [],      "recipient": null,      "gift": null    }  ],  "totals": {    "subtotal": {      "amount": 2990,      "currency": "BRL"    },    "discount": {      "amount": 0,      "currency": "BRL"    },    "giftCard": {      "amount": 0,      "currency": "BRL"    },    "total": {      "amount": 2990,      "currency": "BRL"    },    "refunded": {      "amount": 0,      "currency": "BRL"    }  },  "allowedMethods": [    "PIX",    "CARD",    "BOLETO"  ],  "paidByPaymentId": "pay_mhexample0000vip0000001",  "note": null,  "metadata": {    "pedido": "123"  },  "customer": {    "id": "cus_mhexample0000steve00001",    "name": "Steve",    "email": "[email protected]"  },  "expiresAt": "2026-11-01T21:04:13.000Z",  "paidAt": "2026-10-31T21:04:51.000Z",  "expiredAt": null,  "canceledAt": null,  "createdAt": "2026-10-31T21:04:13.000Z"}